Can Librem 5 run Flutter linux desktop apps? Yep! I was able to successfully build and run my BodySculpting weightlifting workout app today on Librem 5 itself. Code once, build for Android, iOS, and Libremt5, how cool is that!

github.com/thomasmarkiewicz/bo

#purism #librem5 #flutter #development

Follow

@tomek When I tried to build Flutter apps for ARM Linux last year, I could not do it. Is this easier now? If not, can you please do a short write up (or link to one), to help out?

@linmob It's a recent development made possible by a software engineer from Sony in this PR: github.com/flutter/flutter/pul

I just followed the official flutter linux install docs doing a manually install by cloning flutter directly from github master: flutter.dev/docs/get-started/i

@linmob The only issue I ran into is that Librem5 has an older version of libgcrypt which still works but doesn't have a ".pc" file for it. I just manually created this file here: `/usr/lib/aarch64-linux-gnu/pkgconfig/libgcrypt.pc`

Sign in to participate in the conversation
Fosstodon

Fosstodon is an English speaking Mastodon instance that is open to anyone who is interested in technology; particularly free & open source software.